import {useUserStore} from '@/store'
import Config from '@/config'


let loginPathPattern = ['/pages-user', '/pages/order', '/pages/invite', '/pages/scan-code']
let tabbarPaths = ['pages/index/index']
let prevPath = ''

let isDev = import.meta.env.MODE !== 'development'

// 黑登录拦截器 - （适用于大部分页面不需要登录，少部分页面需要登录）
const navigateToInterceptor = {
    // 注意，这里的url是 '/' 开头的，如 '/pages/index/index'，跟 'pages.json' 里面的 path 不同
    invoke(result: any) {
        console.log('navigateToInterceptor', result)

        // if (url === prevPath) {
        //     return false
        // }
        // prevPath = url
        // setTimeout(() => {
        //     prevPath = ''
        // }, 500)
        //
        // const path = url.split('?')[0]
        // console.log('path', path)
        //
        // const userStore = useUserStore()
        //
        // console.log(isDev)
        // if (loginPathPattern.some((item) => path.includes(item))) {
        //     return userStore.checkLogin()
        // }

        // return true
    },
}

const navigateBackInterceptor = {
    invoke(result: any) {
        console.log('navigateBackInterceptor', result)
        return true
    },
}
export const routeInterceptor = {
    install() {
        uni.addInterceptor('navigateTo', navigateToInterceptor)
        uni.addInterceptor('redirectTo', navigateToInterceptor)
        uni.addInterceptor('navigateBack', navigateBackInterceptor)
    },
}
